using System;

class Program
{
    static void Main()
    {
        var s = Console.ReadLine().Split();
        Int64 n = Int64.Parse(s[0]);
        Int64 m = Int64.Parse(s[1]);

        if (n == 1)
        {
            Console.WriteLine(m);
        }

        else
        {
            Console.WriteLine((n - 2) * 2 + m * 2 + (n - 2) * (m - 2) / 2);
        }
    }
}

// Ovom kodu je doprineo Milos